﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridBugTest
{
    class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            for (int i = 0; i < 10; i++)
            {
                Data.Add(new SampleData
                {
                    Number = i,
                    Date = DateTime.Today
                });
            }
        }
    }

    public class SampleData
    {
        public int Number { get; set; }
        public DateTime Date { get; set; }
    }
}
